Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.vm
Class ChannelConstants

    java.lang.Object
      com.sun.squawk.vm.ChannelConstants

    public final class ChannelConstants

extends Object

Field Summary
`static int` | `ACCEPTCONNECTION`
`static int` | `AVAILABLE`
`static int` | `AVAILABLE_SERIAL_CHARS`
`static int` | `AVR_GET_STATUS`
`static int` | `AVR_GET_TIME_HIGH`
`static int` | `AVR_GET_TIME_LOW`
`static int` | `BEEP`
`static int` | `CHANNEL_GENERIC` The channel identifier for the generic IO channel.
`static int` | `CHANNEL_GUIIN` The channel identifier for the GUI input channel.
`static int` | `CHANNEL_GUIOUT` The channel identifier for the GUI output channel.
`static int` | `CHANNEL_IRQ` The channel identifier for the irq channel.
`static int` | `CHANNEL_LAST_FIXED` The last fixed channel number.
`static int` | `CHANNEL_SPI`
`static int` | `CLOSECONNECTION`
`static int` | `CLOSEINPUT`
`static int` | `CLOSEOUTPUT`
`static int` | `COMPUTE_CRC16_FOR_MEMORY_REGION`
`static int` | `COMPUTE_SHA1_FOR_MEMORY_REGION`
`static int` | `CONTEXT_DELETE`
`static int` | `CONTEXT_FREECHANNEL`
`static int` | `CONTEXT_GETCHANNEL`
`static int` | `CONTEXT_GETERROR`
`static int` | `CONTEXT_GETHIBERNATIONDATA`
`static int` | `CONTEXT_GETRESULT`
`static int` | `CONTEXT_GETRESULT_2`
`static int` | `CONTEXT_HIBERNATE`
`static int` | `CREATEFONTMETRICS`
`static int` | `CREATEIMAGE`
`static int` | `CREATEMEMORYIMAGE`
`static int` | `DEEP_SLEEP`
`static int` | `DEEP_SLEEP_TIME_MILLIS_HIGH`
`static int` | `DEEP_SLEEP_TIME_MILLIS_LOW`
`static int` | `DLCLOSE`
`static int` | `DLERROR`
`static int` | `DLOPEN`
`static int` | `DLSYM`
`static int` | `DRAWIMAGE`
`static int` | `DRAWLINE`
`static int` | `DRAWOVAL`
`static int` | `DRAWRECT`
`static int` | `DRAWROUNDRECT`
`static int` | `DRAWSTRING`
`static int` | `ENABLE_AVR_CLOCK_SYNCHRONISATION`
`static int` | `FILLARC`
`static int` | `FILLPOLYGON`
`static int` | `FILLRECT`
`static int` | `FILLROUNDRECT`
`static int` | `FLASH_ERASE`
`static int` | `FLASH_WRITE`
`static int` | `FLUSH`
`static int` | `FLUSHIMAGE`
`static int` | `FLUSHSCREEN`
`static int` | `FONTGETASCENT`
`static int` | `FONTGETDESCENT`
`static int` | `FONTGETHEIGHT`
`static int` | `FONTSTRINGWIDTH`
`static int` | `GET_ALLOCATED_FILE_SIZE`
`static int` | `GET_CURRENT_TIME_ADDR`
`static int` | `GET_DMA_BUFFER_ADDRESS`
`static int` | `GET_DMA_BUFFER_SIZE`
`static int` | `GET_FILE_VIRTUAL_ADDRESS`
`static int` | `GET_HARDWARE_REVISION`
`static int` | `GET_LAST_DEVICE_INTERRUPT_TIME_ADDR`
`static int` | `GET_PUBLIC_KEY`
`static int` | `GET_SERIAL_CHARS`
`static int` | `GETIMAGE`
`static int` | `GLOBAL_CREATECONTEXT`
`static int` | `GLOBAL_GETEVENT`
`static int` | `GLOBAL_POSTEVENT`
`static int` | `GLOBAL_WAITFOREVENT`
`static int` | `GUIIN_EXIT` The GUI exit message.
`static int` | `GUIIN_HIBERNATE` The GUI input repaint message.
`static int` | `GUIIN_KEY` The GUI key input message.
`static int` | `GUIIN_MOUSE` The GUI mouse message.
`static int` | `GUIIN_REPAINT` The GUI input repaint message.
`static int` | `I2C_BUSY`
`static int` | `I2C_CLOSE`
`static int` | `I2C_OPEN`
`static int` | `I2C_PROBE`
`static int` | `I2C_READ`
`static int` | `I2C_SET_CLOCK_SPEED`
`static int` | `I2C_WRITE`
`static int` | `IMAGEHEIGHT`
`static int` | `IMAGEWIDTH`
`static int` | `INTERNAL_GETFILESEPARATORCHAR`
`static int` | `INTERNAL_GETPATHSEPARATORCHAR`
`static int` | `INTERNAL_GETTIMEMICROS_HIGH`
`static int` | `INTERNAL_GETTIMEMILLIS_HIGH`
`static int` | `INTERNAL_LOW_RESULT`
`static int` | `INTERNAL_NATIVE_PLATFORM_NAME`
`static int` | `INTERNAL_OPENSTREAM`
`static int` | `INTERNAL_PRINTADDRESS`
`static int` | `INTERNAL_PRINTBYTES`
`static int` | `INTERNAL_PRINTCHAR`
`static int` | `INTERNAL_PRINTCONFIGURATION`
`static int` | `INTERNAL_PRINTDOUBLE`
`static int` | `INTERNAL_PRINTFLOAT`
`static int` | `INTERNAL_PRINTGLOBALOOPNAME`
`static int` | `INTERNAL_PRINTGLOBALS`
`static int` | `INTERNAL_PRINTINT`
`static int` | `INTERNAL_PRINTLONG`
`static int` | `INTERNAL_PRINTOFFSET`
`static int` | `INTERNAL_PRINTSTRING`
`static int` | `INTERNAL_PRINTUWORD`
`static int` | `INTERNAL_SETSTREAM`
`static int` | `INTERNAL_STOPVM`
`static int` | `IRQ_WAIT` The irq wait message.
`static int` | `LAST_OPCODE`
`static int` | `MARK`
`static int` | `MARKSUPPORTED`
`static int` | `OPENCONNECTION`
`static int` | `OPENINPUT`
`static int` | `OPENOUTPUT`
`static int` | `READ_SECURED_SILICON_AREA`
`static int` | `READBUF`
`static int` | `READBYTE`
`static int` | `READINT`
`static int` | `READLONG`
`static int` | `READSHORT`
`static int` | `REPAINT`
`static int` | `REPROGRAM_MMU`
`static int` | `RESET`
`static int` | `RESULT_BADCONTEXT`
`static int` | `RESULT_BADPARAMETER`
`static int` | `RESULT_EXCEPTION`
`static int` | `RESULT_MALLOCFAILURE`
`static int` | `RESULT_OK`
`static int` | `SCREENHEIGHT`
`static int` | `SCREENWIDTH`
`static int` | `SET_DEEP_SLEEP_ENABLED`
`static int` | `SET_MINIMUM_DEEP_SLEEP_TIME`
`static int` | `SET_SHALLOW_SLEEP_CLOCK_MODE`
`static int` | `SET_SYSTEM_TIME`
`static int` | `SETCLIP`
`static int` | `SETCOLOR`
`static int` | `SETFONT`
`static int` | `SETOFFSCREENMODE`
`static int` | `SETWINDOWNAME`
`static int` | `SHALLOW_SLEEP`
`static int` | `SKIP`
`static int` | `SPI_GET_MAX_TRANSFER_SIZE`
`static int` | `SPI_PULSE_WITH_DEVICE_SELECT`
`static int` | `SPI_SEND_AND_RECEIVE`
`static int` | `SPI_SEND_AND_RECEIVE_WITH_DEVICE_SELECT`
`static int` | `SPI_SEND_RECEIVE_8`
`static int` | `SPI_SEND_RECEIVE_8_PLUS_RECEIVE_16`
`static int` | `SPI_SEND_RECEIVE_8_PLUS_SEND_16`
`static int` | `SPI_SEND_RECEIVE_8_PLUS_SEND_N`
`static int` | `SPI_SEND_RECEIVE_8_PLUS_VARIABLE_RECEIVE_N`
`static int` | `TOTAL_SHALLOW_SLEEP_TIME_MILLIS_HIGH`
`static int` | `TOTAL_SHALLOW_SLEEP_TIME_MILLIS_LOW`
`static int` | `USB_GET_STATE`
`static int` | `WAIT_FOR_DEEP_SLEEP`
`static int` | `WRITE_SECURED_SILICON_AREA`
`static int` | `WRITE_SERIAL_CHARS`
`static int` | `WRITEBUF`
`static int` | `WRITEBYTE`
`static int` | `WRITEINT`
`static int` | `WRITELONG`
`static int` | `WRITEREAD`
`static int` | `WRITESHORT`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHANNEL_GENERIC

    public static final int CHANNEL_GENERIC

  The channel identifier for the generic IO channel.

  See Also:
    Constant Field Values

### CHANNEL_GUIIN

    public static final int CHANNEL_GUIIN

  The channel identifier for the GUI input channel.

  See Also:
    Constant Field Values

### CHANNEL_GUIOUT

    public static final int CHANNEL_GUIOUT

  The channel identifier for the GUI output channel.

  See Also:
    Constant Field Values

### CHANNEL_LAST_FIXED

    public static final int CHANNEL_LAST_FIXED

  The last fixed channel number.

  See Also:
    Constant Field Values

### GUIIN_REPAINT

    public static final int GUIIN_REPAINT

  The GUI input repaint message.

  See Also:
    Constant Field Values

### GUIIN_KEY

    public static final int GUIIN_KEY

  The GUI key input message.

  See Also:
    Constant Field Values

### GUIIN_MOUSE

    public static final int GUIIN_MOUSE

  The GUI mouse message.

  See Also:
    Constant Field Values

### GUIIN_EXIT

    public static final int GUIIN_EXIT

  The GUI exit message.

  See Also:
    Constant Field Values

### GUIIN_HIBERNATE

    public static final int GUIIN_HIBERNATE

  The GUI input repaint message.

  See Also:
    Constant Field Values

### RESULT_OK

    public static final int RESULT_OK

See Also:
  Constant Field Values

### RESULT_BADCONTEXT

    public static final int RESULT_BADCONTEXT

See Also:
  Constant Field Values

### RESULT_EXCEPTION

    public static final int RESULT_EXCEPTION

See Also:
  Constant Field Values

### RESULT_BADPARAMETER

    public static final int RESULT_BADPARAMETER

See Also:
  Constant Field Values

### RESULT_MALLOCFAILURE

    public static final int RESULT_MALLOCFAILURE

See Also:
  Constant Field Values

### GLOBAL_CREATECONTEXT

    public static final int GLOBAL_CREATECONTEXT

See Also:
  Constant Field Values

### GLOBAL_GETEVENT

    public static final int GLOBAL_GETEVENT

See Also:
  Constant Field Values

### GLOBAL_POSTEVENT

    public static final int GLOBAL_POSTEVENT

See Also:
  Constant Field Values

### GLOBAL_WAITFOREVENT

    public static final int GLOBAL_WAITFOREVENT

See Also:
  Constant Field Values

### CONTEXT_DELETE

    public static final int CONTEXT_DELETE

See Also:
  Constant Field Values

### CONTEXT_HIBERNATE

    public static final int CONTEXT_HIBERNATE

See Also:
  Constant Field Values

### CONTEXT_GETHIBERNATIONDATA

    public static final int CONTEXT_GETHIBERNATIONDATA

See Also:
  Constant Field Values

### CONTEXT_GETCHANNEL

    public static final int CONTEXT_GETCHANNEL

See Also:
  Constant Field Values

### CONTEXT_FREECHANNEL

    public static final int CONTEXT_FREECHANNEL

See Also:
  Constant Field Values

### CONTEXT_GETRESULT

    public static final int CONTEXT_GETRESULT

See Also:
  Constant Field Values

### CONTEXT_GETRESULT_2

    public static final int CONTEXT_GETRESULT_2

See Also:
  Constant Field Values

### CONTEXT_GETERROR

    public static final int CONTEXT_GETERROR

See Also:
  Constant Field Values

### OPENCONNECTION

    public static final int OPENCONNECTION

See Also:
  Constant Field Values

### CLOSECONNECTION

    public static final int CLOSECONNECTION

See Also:
  Constant Field Values

### ACCEPTCONNECTION

    public static final int ACCEPTCONNECTION

See Also:
  Constant Field Values

### OPENINPUT

    public static final int OPENINPUT

See Also:
  Constant Field Values

### CLOSEINPUT

    public static final int CLOSEINPUT

See Also:
  Constant Field Values

### WRITEREAD

    public static final int WRITEREAD

See Also:
  Constant Field Values

### READBYTE

    public static final int READBYTE

See Also:
  Constant Field Values

### READSHORT

    public static final int READSHORT

See Also:
  Constant Field Values

### READINT

    public static final int READINT

See Also:
  Constant Field Values

### READLONG

    public static final int READLONG

See Also:
  Constant Field Values

### READBUF

    public static final int READBUF

See Also:
  Constant Field Values

### SKIP

    public static final int SKIP

See Also:
  Constant Field Values

### AVAILABLE

    public static final int AVAILABLE

See Also:
  Constant Field Values

### MARK

    public static final int MARK

See Also:
  Constant Field Values

### RESET

    public static final int RESET

See Also:
  Constant Field Values

### MARKSUPPORTED

    public static final int MARKSUPPORTED

See Also:
  Constant Field Values

### OPENOUTPUT

    public static final int OPENOUTPUT

See Also:
  Constant Field Values

### FLUSH

    public static final int FLUSH

See Also:
  Constant Field Values

### CLOSEOUTPUT

    public static final int CLOSEOUTPUT

See Also:
  Constant Field Values

### WRITEBYTE

    public static final int WRITEBYTE

See Also:
  Constant Field Values

### WRITESHORT

    public static final int WRITESHORT

See Also:
  Constant Field Values

### WRITEINT

    public static final int WRITEINT

See Also:
  Constant Field Values

### WRITELONG

    public static final int WRITELONG

See Also:
  Constant Field Values

### WRITEBUF

    public static final int WRITEBUF

See Also:
  Constant Field Values

### SETWINDOWNAME

    public static final int SETWINDOWNAME

See Also:
  Constant Field Values

### SCREENWIDTH

    public static final int SCREENWIDTH

See Also:
  Constant Field Values

### SCREENHEIGHT

    public static final int SCREENHEIGHT

See Also:
  Constant Field Values

### BEEP

    public static final int BEEP

See Also:
  Constant Field Values

### SETOFFSCREENMODE

    public static final int SETOFFSCREENMODE

See Also:
  Constant Field Values

### FLUSHSCREEN

    public static final int FLUSHSCREEN

See Also:
  Constant Field Values

### CREATEIMAGE

    public static final int CREATEIMAGE

See Also:
  Constant Field Values

### CREATEMEMORYIMAGE

    public static final int CREATEMEMORYIMAGE

See Also:
  Constant Field Values

### GETIMAGE

    public static final int GETIMAGE

See Also:
  Constant Field Values

### IMAGEWIDTH

    public static final int IMAGEWIDTH

See Also:
  Constant Field Values

### IMAGEHEIGHT

    public static final int IMAGEHEIGHT

See Also:
  Constant Field Values

### DRAWIMAGE

    public static final int DRAWIMAGE

See Also:
  Constant Field Values

### FLUSHIMAGE

    public static final int FLUSHIMAGE

See Also:
  Constant Field Values

### CREATEFONTMETRICS

    public static final int CREATEFONTMETRICS

See Also:
  Constant Field Values

### FONTSTRINGWIDTH

    public static final int FONTSTRINGWIDTH

See Also:
  Constant Field Values

### FONTGETHEIGHT

    public static final int FONTGETHEIGHT

See Also:
  Constant Field Values

### FONTGETASCENT

    public static final int FONTGETASCENT

See Also:
  Constant Field Values

### FONTGETDESCENT

    public static final int FONTGETDESCENT

See Also:
  Constant Field Values

### SETFONT

    public static final int SETFONT

See Also:
  Constant Field Values

### SETCOLOR

    public static final int SETCOLOR

See Also:
  Constant Field Values

### SETCLIP

    public static final int SETCLIP

See Also:
  Constant Field Values

### DRAWSTRING

    public static final int DRAWSTRING

See Also:
  Constant Field Values

### DRAWLINE

    public static final int DRAWLINE

See Also:
  Constant Field Values

### DRAWOVAL

    public static final int DRAWOVAL

See Also:
  Constant Field Values

### DRAWRECT

    public static final int DRAWRECT

See Also:
  Constant Field Values

### FILLRECT

    public static final int FILLRECT

See Also:
  Constant Field Values

### DRAWROUNDRECT

    public static final int DRAWROUNDRECT

See Also:
  Constant Field Values

### FILLROUNDRECT

    public static final int FILLROUNDRECT

See Also:
  Constant Field Values

### FILLARC

    public static final int FILLARC

See Also:
  Constant Field Values

### FILLPOLYGON

    public static final int FILLPOLYGON

See Also:
  Constant Field Values

### REPAINT

    public static final int REPAINT

See Also:
  Constant Field Values

### INTERNAL_SETSTREAM

    public static final int INTERNAL_SETSTREAM

See Also:
  Constant Field Values

### INTERNAL_OPENSTREAM

    public static final int INTERNAL_OPENSTREAM

See Also:
  Constant Field Values

### INTERNAL_PRINTCHAR

    public static final int INTERNAL_PRINTCHAR

See Also:
  Constant Field Values

### INTERNAL_PRINTSTRING

    public static final int INTERNAL_PRINTSTRING

See Also:
  Constant Field Values

### INTERNAL_PRINTINT

    public static final int INTERNAL_PRINTINT

See Also:
  Constant Field Values

### INTERNAL_PRINTFLOAT

    public static final int INTERNAL_PRINTFLOAT

See Also:
  Constant Field Values

### INTERNAL_PRINTDOUBLE

    public static final int INTERNAL_PRINTDOUBLE

See Also:
  Constant Field Values

### INTERNAL_PRINTUWORD

    public static final int INTERNAL_PRINTUWORD

See Also:
  Constant Field Values

### INTERNAL_PRINTOFFSET

    public static final int INTERNAL_PRINTOFFSET

See Also:
  Constant Field Values

### INTERNAL_PRINTLONG

    public static final int INTERNAL_PRINTLONG

See Also:
  Constant Field Values

### INTERNAL_PRINTADDRESS

    public static final int INTERNAL_PRINTADDRESS

See Also:
  Constant Field Values

### INTERNAL_LOW_RESULT

    public static final int INTERNAL_LOW_RESULT

See Also:
  Constant Field Values

### INTERNAL_GETTIMEMILLIS_HIGH

    public static final int INTERNAL_GETTIMEMILLIS_HIGH

See Also:
  Constant Field Values

### INTERNAL_GETTIMEMICROS_HIGH

    public static final int INTERNAL_GETTIMEMICROS_HIGH

See Also:
  Constant Field Values

### INTERNAL_STOPVM

    public static final int INTERNAL_STOPVM

See Also:
  Constant Field Values

### INTERNAL_PRINTBYTES

    public static final int INTERNAL_PRINTBYTES

See Also:
  Constant Field Values

### INTERNAL_PRINTCONFIGURATION

    public static final int INTERNAL_PRINTCONFIGURATION

See Also:
  Constant Field Values

### INTERNAL_PRINTGLOBALOOPNAME

    public static final int INTERNAL_PRINTGLOBALOOPNAME

See Also:
  Constant Field Values

### INTERNAL_PRINTGLOBALS

    public static final int INTERNAL_PRINTGLOBALS

See Also:
  Constant Field Values

### INTERNAL_GETPATHSEPARATORCHAR

    public static final int INTERNAL_GETPATHSEPARATORCHAR

See Also:
  Constant Field Values

### INTERNAL_GETFILESEPARATORCHAR

    public static final int INTERNAL_GETFILESEPARATORCHAR

See Also:
  Constant Field Values

### INTERNAL_NATIVE_PLATFORM_NAME

    public static final int INTERNAL_NATIVE_PLATFORM_NAME

See Also:
  Constant Field Values

### DLOPEN

    public static final int DLOPEN

See Also:
  Constant Field Values

### DLCLOSE

    public static final int DLCLOSE

See Also:
  Constant Field Values

### DLERROR

    public static final int DLERROR

See Also:
  Constant Field Values

### DLSYM

    public static final int DLSYM

See Also:
  Constant Field Values

### LAST_OPCODE

    public static final int LAST_OPCODE

See Also:
  Constant Field Values

### CHANNEL_IRQ

    public static final int CHANNEL_IRQ

  The channel identifier for the irq channel.

  See Also:
    Constant Field Values

### IRQ_WAIT

    public static final int IRQ_WAIT

  The irq wait message.

  See Also:
    Constant Field Values

### CHANNEL_SPI

    public static final int CHANNEL_SPI

See Also:
  Constant Field Values

### SPI_SEND_RECEIVE_8

    public static final int SPI_SEND_RECEIVE_8

See Also:
  Constant Field Values

### SPI_SEND_RECEIVE_8_PLUS_SEND_16

    public static final int SPI_SEND_RECEIVE_8_PLUS_SEND_16

See Also:
  Constant Field Values

### SPI_SEND_RECEIVE_8_PLUS_SEND_N

    public static final int SPI_SEND_RECEIVE_8_PLUS_SEND_N

See Also:
  Constant Field Values

### SPI_SEND_RECEIVE_8_PLUS_RECEIVE_16

    public static final int SPI_SEND_RECEIVE_8_PLUS_RECEIVE_16

See Also:
  Constant Field Values

### SPI_SEND_RECEIVE_8_PLUS_VARIABLE_RECEIVE_N

    public static final int SPI_SEND_RECEIVE_8_PLUS_VARIABLE_RECEIVE_N

See Also:
  Constant Field Values

### SPI_SEND_AND_RECEIVE_WITH_DEVICE_SELECT

    public static final int SPI_SEND_AND_RECEIVE_WITH_DEVICE_SELECT

See Also:
  Constant Field Values

### SPI_SEND_AND_RECEIVE

    public static final int SPI_SEND_AND_RECEIVE

See Also:
  Constant Field Values

### SPI_GET_MAX_TRANSFER_SIZE

    public static final int SPI_GET_MAX_TRANSFER_SIZE

See Also:
  Constant Field Values

### SPI_PULSE_WITH_DEVICE_SELECT

    public static final int SPI_PULSE_WITH_DEVICE_SELECT

See Also:
  Constant Field Values

### GET_HARDWARE_REVISION

    public static final int GET_HARDWARE_REVISION

See Also:
  Constant Field Values

### I2C_OPEN

    public static final int I2C_OPEN

See Also:
  Constant Field Values

### I2C_CLOSE

    public static final int I2C_CLOSE

See Also:
  Constant Field Values

### I2C_SET_CLOCK_SPEED

    public static final int I2C_SET_CLOCK_SPEED

See Also:
  Constant Field Values

### I2C_READ

    public static final int I2C_READ

See Also:
  Constant Field Values

### I2C_WRITE

    public static final int I2C_WRITE

See Also:
  Constant Field Values

### I2C_BUSY

    public static final int I2C_BUSY

See Also:
  Constant Field Values

### I2C_PROBE

    public static final int I2C_PROBE

See Also:
  Constant Field Values

### GET_LAST_DEVICE_INTERRUPT_TIME_ADDR

    public static final int GET_LAST_DEVICE_INTERRUPT_TIME_ADDR

See Also:
  Constant Field Values

### GET_CURRENT_TIME_ADDR

    public static final int GET_CURRENT_TIME_ADDR

See Also:
  Constant Field Values

### FLASH_ERASE

    public static final int FLASH_ERASE

See Also:
  Constant Field Values

### FLASH_WRITE

    public static final int FLASH_WRITE

See Also:
  Constant Field Values

### USB_GET_STATE

    public static final int USB_GET_STATE

See Also:
  Constant Field Values

### DEEP_SLEEP

    public static final int DEEP_SLEEP

See Also:
  Constant Field Values

### SHALLOW_SLEEP

    public static final int SHALLOW_SLEEP

See Also:
  Constant Field Values

### WAIT_FOR_DEEP_SLEEP

    public static final int WAIT_FOR_DEEP_SLEEP

See Also:
  Constant Field Values

### DEEP_SLEEP_TIME_MILLIS_HIGH

    public static final int DEEP_SLEEP_TIME_MILLIS_HIGH

See Also:
  Constant Field Values

### DEEP_SLEEP_TIME_MILLIS_LOW

    public static final int DEEP_SLEEP_TIME_MILLIS_LOW

See Also:
  Constant Field Values

### SET_DEEP_SLEEP_ENABLED

    public static final int SET_DEEP_SLEEP_ENABLED

See Also:
  Constant Field Values

### SET_MINIMUM_DEEP_SLEEP_TIME

    public static final int SET_MINIMUM_DEEP_SLEEP_TIME

See Also:
  Constant Field Values

### TOTAL_SHALLOW_SLEEP_TIME_MILLIS_HIGH

    public static final int TOTAL_SHALLOW_SLEEP_TIME_MILLIS_HIGH

See Also:
  Constant Field Values

### TOTAL_SHALLOW_SLEEP_TIME_MILLIS_LOW

    public static final int TOTAL_SHALLOW_SLEEP_TIME_MILLIS_LOW

See Also:
  Constant Field Values

### SET_SHALLOW_SLEEP_CLOCK_MODE

    public static final int SET_SHALLOW_SLEEP_CLOCK_MODE

See Also:
  Constant Field Values

### GET_SERIAL_CHARS

    public static final int GET_SERIAL_CHARS

See Also:
  Constant Field Values

### WRITE_SERIAL_CHARS

    public static final int WRITE_SERIAL_CHARS

See Also:
  Constant Field Values

### AVAILABLE_SERIAL_CHARS

    public static final int AVAILABLE_SERIAL_CHARS

See Also:
  Constant Field Values

### AVR_GET_TIME_HIGH

    public static final int AVR_GET_TIME_HIGH

See Also:
  Constant Field Values

### AVR_GET_TIME_LOW

    public static final int AVR_GET_TIME_LOW

See Also:
  Constant Field Values

### AVR_GET_STATUS

    public static final int AVR_GET_STATUS

See Also:
  Constant Field Values

### WRITE_SECURED_SILICON_AREA

    public static final int WRITE_SECURED_SILICON_AREA

See Also:
  Constant Field Values

### READ_SECURED_SILICON_AREA

    public static final int READ_SECURED_SILICON_AREA

See Also:
  Constant Field Values

### SET_SYSTEM_TIME

    public static final int SET_SYSTEM_TIME

See Also:
  Constant Field Values

### ENABLE_AVR_CLOCK_SYNCHRONISATION

    public static final int ENABLE_AVR_CLOCK_SYNCHRONISATION

See Also:
  Constant Field Values

### GET_PUBLIC_KEY

    public static final int GET_PUBLIC_KEY

See Also:
  Constant Field Values

### COMPUTE_SHA1_FOR_MEMORY_REGION

    public static final int COMPUTE_SHA1_FOR_MEMORY_REGION

See Also:
  Constant Field Values

### COMPUTE_CRC16_FOR_MEMORY_REGION

    public static final int COMPUTE_CRC16_FOR_MEMORY_REGION

See Also:
  Constant Field Values

### REPROGRAM_MMU

    public static final int REPROGRAM_MMU

See Also:
  Constant Field Values

### GET_ALLOCATED_FILE_SIZE

    public static final int GET_ALLOCATED_FILE_SIZE

See Also:
  Constant Field Values

### GET_FILE_VIRTUAL_ADDRESS

    public static final int GET_FILE_VIRTUAL_ADDRESS

See Also:
  Constant Field Values

### GET_DMA_BUFFER_SIZE

    public static final int GET_DMA_BUFFER_SIZE

See Also:
  Constant Field Values

### GET_DMA_BUFFER_ADDRESS

    public static final int GET_DMA_BUFFER_ADDRESS

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"